/*
 *--- PGetInkND.cpp -------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetInkND.html
 *-------------------------------------------------------------------------
 */

#include "PGetInkND.h"
#include "PQuery.h"
#include "PRequestBuf.h"
#include "PReplyBuf.h"

PGetInkND::PGetInkND(const char * sName)
: PHandleQuery()
{
	PRequestBuf request(strlen(sName) + 3);
	
	request << sName;

	PQuery query(pm_getinknd, request, itsHandle);
	InitHandle();

	PReplyBuf reply(replyPtr);
	reply >> cKind >> dNDValue;
}

// end of PGetInkND.cpp
